
<div class="row" >
        <div class="col-sm-12">
          <div class="card" *ngIf="!ispresent">
            <div class="card-header" >
              <b>{{eventName}} at {{feedback.club}} on {{date | date:'MMMM dd, yyyy'}} - From {{start}} to {{end}} </b><!-- - 12th February, 2018 - 12:45-13:45-->
            </div>
            <form action="" class="col-md-12 form-horizontal" method="post">

            <div class="card-body" >
                {{errMsg}}
               
                <!--
             <div class="form-row">
                 <div class="form-group col-md-4">
                        <label for="fname" class="control-label col-form-label-sm"><b>Event type</b></label>
                 </div>    
                <div class="form-group col-md-8">
                        <select class="form-control ">
                            <option name="" value="type1">Yoga</option>
                            <option name="" value="type2">Pilates</option>
                            <option name="" value="type3">Cardio Kickboxing</option>
                        </select>   
                      </div>                    
              </div>-->
            </div>
         
            <div class="form-row">
                <div class="form-group col-md-12">
                    <div class="input-group">
                            <label for="fname" class="control-label col-form-label-sm required" style="" >
                                <b>1. How many people attended this class or event?</b>

                            </label>
                    </div>
                 </div>
            </div>
            <div class="form-row">
                    <div class="form-group col-md-12">
                        <div class="input-group ">
                       <input class="form-control form-control-sm" id="answer1" (focusout)="checkAttendance()" name="attendees" [(ngModel)]="feedback.attendees" type="text" placeholder="enter number of attendees">    
                            </div>
                     </div>
                </div>
            <div class="form-row" *ngIf="isAttendanceLessThan5" >
                <div class="form-group col-md-12">
                    <div class="input-group ">
                            <label for="fname" class="control-label col-form-label-sm required">
                                <b>1.1. It looks like attendance today was a lot less than the goal - any ideas for improvement? How can we help you grow your following?</b>

                            </label>
                    </div>
                 </div>
            </div>


                <div class="form-row" *ngIf="isAttendanceLessThan5">
                    <div class="form-group col-md-12">
                        <div class="input-group ">
                       <input class="form-control form-control-sm" id="answer11" name="answer11" [(ngModel)]="feedback.lessAttendanceReason" type="text" placeholder="Enter ideas for improvements">    
                            </div>
                     </div>
                </div>
                <hr/>

                <div class="form-row">
                        <div class="form-group col-md-12">
                            <div class="input-group ">
                                    <label for="fname" class="control-label col-form-label-sm required">
                                        <b>2. Did you help create community by asking (willing) attendees to introduce themselves and/or posing a fun question prompt? E.g “What motivated you to attend today?” Or “What’s your favorite part of the building? </b>
                                    </label>
                            </div>
                        </div>
                </div>
        
                <div class="form-row">
                    <div class="form-group col-md-12">
                            <div class="input-group ">
                                <select [(ngModel)]="feedback.answer1"  name="feedbackAnswer1" class="form-control-xs form-control-sm">
                                
                                <option  value="Yes">Yes</option>
                                <option  value="No" >No</option>
                                </select>
                              </div>
                     </div>
                </div>

                <div class="form-row" *ngIf="feedback.answer1 == 'Yes' ">
                        <div class="form-group col-md-12">
                            <div class="input-group ">
                                    <label for="fname" class="control-label col-form-label-sm">
                                         2.1 What question did you ask? (We share these with instructors who might need fun ideas.)
                                    </label>
                            </div>
                        </div>
                </div>
                 <div class="form-row" *ngIf="feedback.answer1 == 'Yes' ">
                    <div class="form-group col-md-12">
                            <div class="input-group ">
                                <input class="form-control form-control-sm" id="fname" name="answer1" [(ngModel)]="feedback.howCome" type="text" placeholder="">    
                            </div>
                     </div>
                </div>

                <div class="form-row" *ngIf="feedback.answer1 == 'No' ">
                        <div class="form-group col-md-12">
                            <div class="input-group ">
                                    <label for="fname" class="control-label col-form-label-sm required">
                                        <b >2.2 How come?</b>
                                    </label>
                            </div>
                        </div>
                </div>

                <div class="form-row" *ngIf="feedback.answer1 == 'No' ">
                    <div class="form-group col-md-12">
                            <div class="input-group ">
                                <input class="form-control form-control-sm" id="fname" name="answer1" [(ngModel)]="feedback.howCome" type="text" placeholder="">    
                            </div>
                     </div>
                </div>
            
                <hr/>
                        
                <div class="form-row">
                    <div class="form-group col-md-12">
                            <div class="input-group ">
                                            <label for="fname" class="control-label col-form-label-sm required">
                                                <b>3. Additional Feedback - (i.e. what else would improve the experience, no matter how small - e.g. equipment, class time or format change, marketing etc. )?</b>
                                            </label>
                                    </div>
                                 </div>
                            </div>
                
                            <div class="form-row">
                                    <div class="form-group col-md-12">
                                        <div class="input-group ">
                                                <input class="form-control form-control-sm" name="answer2" [(ngModel)]="feedback.answer2" id="answer2" type="text" placeholder="">    
                                            </div>
                                     </div>
                                </div>
                    
                                <hr/>
                                <div class="form-row">
                                            <div class="input-group">
                                               <div class="form-group col-xs-12 col-md-3">   
                                                   <button type="button"  (click)="addFeedback()"  class="btn btn-sm btn-success" >Save feedback form</button>  
                                               </div>  
                                            </div> 
                                </div>  
                                <div class="form-now">
                                      <div class="form-group col-xs-12 col-md-9" style="margin-top:5px; color:red;" *ngIf="isvalidated"> {{notvalidatedMsg}} </div>
                                </div>
                                    
    
        </form>

          </div>
         
        </div>
</div>
            <div class="card" *ngIf="ispresent" >
                <div class="card-header" >
          <i class="fa fa-align-justify"></i> <b>{{eventName}} at {{feedback.club}} on {{date | date:'MMMM dd, yyyy'}} - From {{start}} to {{end}} </b><!-- - 12th February, 2018 - 12:45-13:45-->

           </div>
                 <div class="card-body" style="padding-bottom: 27%;"> 

                           <h5 style="line-height:30px">The Event Report for {{eventName}} at {{feedback.club}} on {{date | date:'MMMM dd, yyyy'}} from {{start}} to {{end}} has already been completed. If this is an error, email Team@HelloHealthy.com. </h5>
                        </div>
                     </div>